<?php

namespace App\Libraries;
use App\Models\OrderQueueModel;
use App\Models\ProductLimitModel;

class QueueOrder {
    public function tentukanTanggalProduksi($qty_pesanan) {
        $queueModel = new OrderQueueModel();
        $limitModel = new ProductLimitModel();
        
        $today = date('Y-m-d');
        $sisa = $queueModel->getSisaKuota($today);
        
        if ($qty_pesanan <= $sisa) {
            return $today;
        } else {
            // Jika hari ini penuh, geser ke besok (atau logika bisnis lainnya)
            return date('Y-m-d', strtotime('+1 day'));
        }
    }
}